Skip to main content
POST
/
v1
/
voice
/
train
Train Voice Model
curl --request POST \
  --url https://apis.finevoice.ai/v1/voice/train \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "My Custom Voice",
  "languageCode": "en-US",
  "gender": "female",
  "audioUrl": "https://example.com/training_audio.wav",
  "imageUrl": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer token (API key). Format: Bearer {your_api_key}

Body

application/json

The voice training request payload.

name
string

The display name of the trained model.

Example:

"My Custom Voice"

languageCode
string

The language code of the training audio.

Example:

"en-US"

gender
string

The target voice gender.

Example:

"female"

audioUrl
string

The remote audio URL used for training.

Example:

"https://example.com/training_audio.wav"

imageUrl
string

The remote avatar image URL.

Response

Training task accepted.

The response is of type object.